image: alpine:latest

variables:
  KUBERNETES_VERSION: 1.11.9
  HELM_VERSION: 2.13.1
  DOCKER_DRIVER: overlay2
  ROLLOUT_RESOURCE_TYPE: deployment

stages:
  - build
  - review
  - test
  - deploy
  - dast-performance
  - publish
  - cleanup

include:
  - local: 'cicd/build-image/build-image.yml'
  - local: 'cicd/unit-test/unit-tests.yml'
  - local: 'cicd/image-scan/image-scan.yml'
  - local: 'cicd/code-quality/code-quality.yml'
  - local: 'cicd/sast/sast.yml'
  - local: 'cicd/dast/dast.yml'
  - local: 'cicd/load-test/load-test.yml'
  - local: 'cicd/browser-test/browser-testing.yml'
  - local: 'cicd/dependency-scan/dependency-scan.yml'
  - local: 'cicd/license-mgmt/license-mgmt.yml'
  - local: 'cicd/deploy/deploy-feature.yml'
  - local: 'cicd/deploy/deploy-staging.yml'
  - local: 'cicd/deploy/deploy-preproduction.yml'
  - local: 'cicd/deploy/deploy-production.yml'
  - local: 'cicd/deploy/retag-latest.yml'
  - local: 'cicd/cleanup/delete-feature-environment.yml'
  - local: 'cicd/cleanup/delete-staging-environment.yml'
  - local: 'cicd/cleanup/delete-preproduction-environment.yml'
  - local: 'cicd/cleanup/delete-production-environment.yml'
